Bug 437105 - Problem with ILO-fencing
Problem with ILO-fencing
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ryan McCabe
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 09:56 EDT by Marek Grac
Modified: 2009-04-16 18:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 14:00:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Grac 2008-03-12 09:56:05 EDT
Description of problem:

There is a problem with current ILO fencing agent. It is unable to power on the
machine.

Solution:

instead of
sendsock $socket, "<HOLD_PWR_BTN/>\n";
I put
sendsock $socket, "<HOLD_PWR_BTN TOGGLE=\"Yes\"/>\n";
Comment 1 Ryan McCabe 2008-03-13 10:03:12 EDT
Do you know what revision of the firmware is having a problem with the current
agent, and do you know whether it's iLO or iLO2? Depending on the combination of
the two, the command and parameters needed to power on the machine differs.
Adding the TOGGLE="Yes" attribute will break a lot of combinations of
ilo/firmware revisions.

FWIW, the current fencing agent works properly for me on the latest iLO firmware
(1.91) and 1.82; and firmware 1.43 (dated 2007-12-12 -- not sure if this is the
latest) on iLO2.

Note You need to log in before you can comment on or make changes to this bug.